Subject: bug#61098: 29.0.60; Confusing behavior of show-paren-mode

From: Stefan Monnier <[email-masked]>
Date: Sun, 05 Feb 2023 13:57:06 -0500

> +  :variable ( (and show-paren-mode
> +                   (buffer-match-p show-paren-predicate (current-buffer)))
> +              .
>                (lambda (val) (setq-local show-paren-mode val)))

This doesn't look quote right because it doesn't pay attention to
`local-variable-p`.  We should extract the test performed in the timer
and reuse it here.

        Stefan